package cn.com.poc.ocr.dto;	


public class BizFileOcrCacheDto {

    private static final long serialVersionUID = 1L;
	/** id
    *主键id
    */ 
    private java.lang.Long id;

    public java.lang.Long getId(){
        return this.id;
    }
    
    public void setId(java.lang.Long id){
        this.id = id;
    }
	/** md5
    *文件MD5
    */ 
    private java.lang.String md5;

    public java.lang.String getMd5(){
        return this.md5;
    }
    
    public void setMd5(java.lang.String md5){
        this.md5 = md5;
    }

    /**
     * parse_status
     * 解析状态  : create-已创建 queuing-排队中  parsing -解析中  complete-完成 fail-失败
     */
    private String parseStatus;

    public String getParseStatus() {
        return parseStatus;
    }

    public void setParseStatus(String parseStatus) {
        this.parseStatus = parseStatus;
    }

    /** file_url
    *源文件地址
    */ 
    private java.lang.String fileUrl;

    public java.lang.String getFileUrl(){
        return this.fileUrl;
    }
    
    public void setFileUrl(java.lang.String fileUrl){
        this.fileUrl = fileUrl;
    }
	/** md_file_url
    *OCR后MD文件地址
    */ 
    private java.lang.String mdFileUrl;

    public java.lang.String getMdFileUrl(){
        return this.mdFileUrl;
    }
    
    public void setMdFileUrl(java.lang.String mdFileUrl){
        this.mdFileUrl = mdFileUrl;
    }
	/** json_file_url
    *提取json后文件url
    */ 
    private java.lang.String jsonFileUrl;

    public java.lang.String getJsonFileUrl(){
        return this.jsonFileUrl;
    }
    
    public void setJsonFileUrl(java.lang.String jsonFileUrl){
        this.jsonFileUrl = jsonFileUrl;
    }
	/** is_deleted
    *是否删除 Y 是  N 否
    */ 
    private java.lang.String isDeleted;

    public java.lang.String getIsDeleted(){
        return this.isDeleted;
    }
    
    public void setIsDeleted(java.lang.String isDeleted){
        this.isDeleted = isDeleted;
    }
	/** CREATOR
    *创建人
    */ 
    private java.lang.String creator;

    public java.lang.String getCreator(){
        return this.creator;
    }
    
    public void setCreator(java.lang.String creator){
        this.creator = creator;
    }
	/** CREATED_TIME
    *创建时间
    */ 
    private java.util.Date createdTime;

    public java.util.Date getCreatedTime(){
        return this.createdTime;
    }
    
    public void setCreatedTime(java.util.Date createdTime){
        this.createdTime = createdTime;
    }
	/** MODIFIER
    *修改人
    */ 
    private java.lang.String modifier;

    public java.lang.String getModifier(){
        return this.modifier;
    }
    
    public void setModifier(java.lang.String modifier){
        this.modifier = modifier;
    }
	/** MODIFIED_TIME
    *修改时间
    */ 
    private java.util.Date modifiedTime;

    public java.util.Date getModifiedTime(){
        return this.modifiedTime;
    }
    
    public void setModifiedTime(java.util.Date modifiedTime){
        this.modifiedTime = modifiedTime;
    }
	/** SYS_VERSION
    *乐观锁,版本号
    */ 
    private java.lang.Integer sysVersion;

    public java.lang.Integer getSysVersion(){
        return this.sysVersion;
    }
    
    public void setSysVersion(java.lang.Integer sysVersion){
        this.sysVersion = sysVersion;
    }
}